Не удалось решить зависимости

Здесь можно задавать любые вопросы по установке и настройке Lubuntu Linux

Модератор: Vadim

Ответить

Автор темы
NGrandmother
Сообщения: 2
Зарегистрирован: 10 дек 2018, 23:04

Не удалось решить зависимости

#1

Сообщение NGrandmother » 10 дек 2018, 23:41

Доброго времени суток! Возможно тема уже избитая, но я совсем недавно перешел на linux и не до конца его освоил (а если быть точнее, почти никак не освоил)
Суть проблемы: Установил lubuntu 18.10, скачал обновления, предлагаемые в Discover, а дальше начались проблемы с установкой программ. Хотел скачать стим с дискавера - вылезла ошибка "не удалось решить зависимости", установил стим, скачав с сайта файл.deb
И теперь ни одна программа ни в дискавере, ни при установке через .deb либо же запуск ее от sudo через терминал не оканчивается успехом. Везде гребаные зависимости. Полазил по по интернету, выполнял команды "sudo apt-get update" "sudo apt-get autoremove" и тд - ничего не помогло.
Помогите решить проблему и по возможности объясните в чем она заключалась и как ее исправлять, потому-что это не первый случай, когда вылезает эта ошибка
Спасибо.






MikeRM
Сообщения: 61
Зарегистрирован: 19 окт 2018, 19:53

Re: Не удалось решить зависимости

#2

Сообщение MikeRM » 11 дек 2018, 12:00

Причина простая - dpkg не управляет зависимостями, а discover является всего лишь графическим фронтэндом к dpkg. Зависимостями управляет apt, в 18.10 графическим фронтэндом к нему является muon. Наиболее предпочтительно ставить пакеты именно через apt/muon из репозитариев которые уже оттестировали за вас мэйнтэйнеры дистрибутива (в частности стим в репозитории точно есть). Из сторонних deb пакетов следует ставить только когда в репозитории нет требуемого или версия слишком старая. Чтобы удовлетворить зависимости есть два способа: или

Аватара пользователя

zhart
Администратор
Сообщения: 1810
Зарегистрирован: 16 дек 2010, 13:09
Контактная информация:

Re: Не удалось решить зависимости

#3

Сообщение zhart » 11 дек 2018, 13:21

В дополнение к словам MikeRM — если консоль поначалу пугает, то используйте Synaptic (графический интерфейс для apt, справка). На мой взгляд, из GUI-приложений для этих целей ничего пока лучше не придумали. Вы можете легко использовать для установки программ только его, и забыть про все остальные пакетные менеджеры, «центры установки программ» и прочий винегрет.


Автор темы
NGrandmother
Сообщения: 2
Зарегистрирован: 10 дек 2018, 23:04

Re: Не удалось решить зависимости

#4

Сообщение NGrandmother » 11 дек 2018, 13:33

Спасибо за ответы :)


MikeRM
Сообщения: 61
Зарегистрирован: 19 окт 2018, 19:53

Re: Не удалось решить зависимости

#5

Сообщение MikeRM » 11 дек 2018, 13:44

Synaptic использует gtk, для qt всё таки лучше muon, не зря он мэйнтэйнерами вместо synaptic предустановлен в 18.10. Как раз не будет каши из qt и gtk интерфейсов.

Ответить